CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM

swak4Foam for openfoam 5

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree1Likes
  • 1 Post By linox

Reply
 
LinkBack Thread Tools Display Modes
Old   May 2, 2018, 05:41
Default swak4Foam for openfoam 5
  #1
New Member
 
Patrick
Join Date: Apr 2016
Posts: 10
Rep Power: 4
linox is on a distinguished road
Hi,

I am searching for Swak4Foam for OpenFOAM 5 but could not find anything online.
Perhaps someone here could help me to this regard. Is there a swake4Foam version for openfoam 5?

Thanks,
Linox
Fahime likes this.
linox is offline   Reply With Quote

Old   May 15, 2018, 02:51
Default
  #2
New Member
 
Fahime Firoozpour
Join Date: Jan 2018
Posts: 6
Rep Power: 2
Fahime is on a distinguished road
Quote:
Originally Posted by linox View Post
Hi,

I am searching for Swak4Foam for OpenFOAM 5 but could not find anything online.
Perhaps someone here could help me to this regard. Is there a swake4Foam version for openfoam 5?

Thanks,
Linox
Hi Patrick
have you found swak4Foam for openfoam 5 ? or should I Install openfoam4 to work with its swak4Foam?
Fahime is offline   Reply With Quote

Old   May 18, 2018, 10:11
Default
  #3
Senior Member
 
Joachim Herb
Join Date: Sep 2010
Posts: 448
Rep Power: 14
jherb is on a distinguished road
The development branch works for OpenFOAM-5.x (but currently not with OpenFOAM-dev):
https://openfoamwiki.net/index.php/C...xisting_clones



Code:
hg clone http://hg.code.sf.net/p/openfoam-extend/swak4Foam openfoam-extend-swak4Foam

hg update development
or
Code:
git clone hg::http://hg.code.sf.net/p/openfoam-extend/swak4Foam openfoam-extend-swak4Foam
git checkout branches/develop
Then build it.
jherb is offline   Reply With Quote

Old   May 20, 2018, 01:30
Default
  #4
New Member
 
Fahime Firoozpour
Join Date: Jan 2018
Posts: 6
Rep Power: 2
Fahime is on a distinguished road
thanks a lot for your reply


I use this command:
git clone hg::http://hg.code.sf.net/p/openfoam-extend/swak4Foam openfoam-extend-swak4Foam

but got this error:
Cloning into 'openfoam-extend-swak4Foam'...
fatal: Unable to find remote helper for 'hg'

do you know what should I do at this step?
Fahime is offline   Reply With Quote

Old   May 23, 2018, 08:08
Default
  #5
New Member
 
Fahime Firoozpour
Join Date: Jan 2018
Posts: 6
Rep Power: 2
Fahime is on a distinguished road
I use this command :
hg clone http://hg.code.sf.net/p/openfoam-extend/swak4Foam openfoam-extend-swak4Foam

hg update development


but get this error for (hg update development):
abort: no repository found in '/home/nidec' (.hg not found)!


do you know what should I do?
thanks
Fahime is offline   Reply With Quote

Old   May 28, 2018, 21:56
Default
  #6
New Member
 
Zhiyong GU
Join Date: Apr 2018
Posts: 1
Rep Power: 0
THU_Gj is on a distinguished road
Quote:
Originally Posted by Fahime View Post
I use this command :
hg clone http://hg.code.sf.net/p/openfoam-extend/swak4Foam openfoam-extend-swak4Foam

hg update development


but get this error for (hg update development):
abort: no repository found in '/home/nidec' (.hg not found)!


do you know what should I do?
thanks
Maybe you should execute the update command in 'openfoam-extend-swak4Foam' directory.
THU_Gj is offline   Reply With Quote

Old   October 9, 2018, 20:57
Default Error message. Trying to install Swak4Foam on OpenFOAM 5.0
  #7
New Member
 
Chris Harding
Join Date: Dec 2016
Posts: 18
Rep Power: 3
HappyS5 is on a distinguished road
Hello,

Please help. I supply the log below.

Code:
This script is rather crude. If it doesn't work try the steps by hand. And be sure to run it from the root of the swak-installation (as ./maintainanceScripts/compileRequirements.sh). Otherwise it probably won't work

Bison already installed/compiled
Bison successfully compiled
Lua already installed/compiled
Lua successfully compiled

Add /home/happys5/swak4Foam/privateRequirements/bin to PATH-variable. The ./Allwmake-script will use this directory automatically

Current OpenFOAM version is 5.0.
This is a clean install

/home/happys5/swak4Foam/privateRequirements/bin existing. Prepending to PATH-variable (private version of Bison)

Reading variables from 'swakConfiguration'
Using python2.7 at /usr/bin/python2.7-config for python2
Using our own Lua at /home/happys5/swak4Foam/privateRequirements
Checking swak4Foam-version and generating file
Swak version is 0.4.2
Could not get version of the sources
Bison: /home/happys5/swak4Foam/privateRequirements/bin/bison
Flex: /usr/bin/flex
Bison is version 3.0.4
Flex is version 2.6.4 (Minor version: 4)
No swak4FoamParsers/foamVersion4swak.H. Generated
Please include the output above when reporting a problem in the compilation. It helps diagnosing the problem


I/opt/openfoam5/src/finiteVolume/lnInclude -I/opt/openfoam5/src/surfMesh/lnInclude -I/opt/openfoam5/src/sampling/lnInclude -I/opt/openfoam5/src/fileFormats/lnInclude -I/opt/openfoam5/src/triSurface/lnInclude -I/opt/openfoam5/src/dynamicMesh/lnInclude -I/opt/openfoam5/src/lagrangian/basic/lnInclude -I/opt/openfoam5/src/surfMesh/lnInclude -I/opt/openfoam5/src/meshTools/lnInclude -I../filesThatAreOnlyInSomeDistributions/OutputFilerDropin/ -IlnInclude -I. -I/opt/openfoam5/src/OpenFOAM/lnInclude -I/opt/openfoam5/src/OSspecific/POSIX/lnInclude   -fPIC -c CommonValueExpressionDriver.C -o Make/linux64GccDPInt32Opt/CommonValueExpressionDriver.o
/opt/openfoam5/wmake/rules/General/transform:25: recipe for target 'Make/linux64GccDPInt32Opt/CommonValueExpressionDriver.o' failed
Parser library did not compile OK. No sense continuing as everything else depends on it

Requirements for Library not satisfied. I see no sense in going on
Check the README before you go on to ask. And search: Most likely your problem occurred to 5 other people before and has been solved on the MessageBoard
What do I need to do to get up and running?

If I need to patch, can you teach me how to patch? I am new to Linux.
Attached Files
File Type: gz log.tar.gz (3.0 KB, 2 views)
HappyS5 is offline   Reply With Quote

Old   October 11, 2018, 20:10
Default
  #8
New Member
 
Chris Harding
Join Date: Dec 2016
Posts: 18
Rep Power: 3
HappyS5 is on a distinguished road
Quote:
Originally Posted by Fahime View Post

but get this error for (hg update development):
abort: no repository found in '/home/nidec' (.hg not found)!

do you know what should I do?
thanks
Go to the "openfoam-extend-swak4Foam" folder and try: hg update develop instead of hg update development.
HappyS5 is offline   Reply With Quote

Old   December 7, 2018, 06:30
Default
  #9
Member
 
Ashish Vinayak
Join Date: Mar 2015
Posts: 36
Rep Power: 5
ashish.vinayak is on a distinguished road
hg update develop

I struggled with this for a bit. Haha.


Quote:
Originally Posted by jherb View Post
The development branch works for OpenFOAM-5.x (but currently not with OpenFOAM-dev):
https://openfoamwiki.net/index.php/C...xisting_clones



Code:
hg clone http://hg.code.sf.net/p/openfoam-extend/swak4Foam openfoam-extend-swak4Foam

hg update development
or
Code:
git clone hg::http://hg.code.sf.net/p/openfoam-extend/swak4Foam openfoam-extend-swak4Foam
git checkout branches/develop
Then build it.
ashish.vinayak is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
[swak4Foam] difficulties installing swak4foam newbie29 OpenFOAM Community Contributions 88 December 11, 2018 19:07
InterDyMFoam+simpleFunctionObject Elham OpenFOAM Running, Solving & CFD 5 July 10, 2017 12:59
source term in near wall cell rajcfd OpenFOAM Pre-Processing 5 February 1, 2016 11:31
[swak4Foam] Install swak4Foam on OpenFOAM1.7.1 on Ubuntu 13.04 kobayashi OpenFOAM Community Contributions 2 January 5, 2014 18:33
[swak4Foam] fails in parallel with -otherTime? Phicau OpenFOAM Community Contributions 3 June 26, 2013 14:00


All times are GMT -4. The time now is 16:29.